Package pyplusplus :: Package function_transformers :: Module transformers :: Class transfer_ownership_t

# type transfer_ownership_t

source code

                   object --+
                            |
    transformer.transformer_t --+
                                |
                  type_modifier_t --+
                                    |
                                   transfer_ownership_t

see http://boost.org/libs/python/doc/v2/faq.html#ownership

Instance Methods

__init__(self, function, arg_ref) Constructor. | source code

__str__(self) | source code

configure_mem_fun(self, controller) Transformers should overridde the method, in order to define custom transformation for non-virtual member function. | source code

configure_free_fun(self, controller) Transformers should overridde the method, in order to define custom transformation for free function. | source code

configure_virtual_mem_fun(self, controller) Transformers should overridde the method, in order to define custom transformation for virtual member function. | source code

required_headers(self) Returns list of header files that transformer generated code depends on. | source code

Inherited from `transformer.transformer_t`: `get_argument`, `get_type`

Class Variables
Inherited from `transformer.transformer_t`: `USE_1_BASED_INDEXING`

Properties
Inherited from `transformer.transformer_t`: `function`

Method Details

### __init__(self, function, arg_ref)
(Constructor)

source code

Constructor.

Parameters:
  - `function` - reference to function declaration
Overrides: transformer.transformer_t.__init__

### __str__(self)
(Informal representation operator)

source code

Overrides: type_modifier_t.__str__

### configure_mem_fun(self, controller)

source code

Transformers should overridde the method, in order to define custom transformation for non-virtual member function.

Parameters:
  - `controller` - instance of mem_fun_controller_t class
Overrides: transformer.transformer_t.configure_mem_fun
  (inherited documentation)

### configure_free_fun(self, controller)

source code

Transformers should overridde the method, in order to define custom transformation for free function.

Parameters:
  - `controller` - instance of free_fun_controller_t class
Overrides: transformer.transformer_t.configure_free_fun
  (inherited documentation)

### configure_virtual_mem_fun(self, controller)

source code

Transformers should overridde the method, in order to define custom transformation for virtual member function.

Parameters:
  - `controller` - instance of virtual_mem_fun_controller_t class
Overrides: transformer.transformer_t.configure_virtual_mem_fun
  (inherited documentation)

### required_headers(self)

source code

Returns list of header files that transformer generated code depends on.

Overrides: transformer.transformer_t.required_headers